package repository

import (
	entity "gitlab.com/mbugroup/lti-api.git/internal/entities"
	"gitlab.com/mbugroup/lti-api.git/internal/common/repository"
	"gorm.io/gorm"
)

type PhasesRepository interface {
	repository.BaseRepository[entity.Phases]
}

type PhasesRepositoryImpl struct {
	*repository.BaseRepositoryImpl[entity.Phases]
}

func NewPhasesRepository(db *gorm.DB) PhasesRepository {
	return &PhasesRepositoryImpl{
		BaseRepositoryImpl: repository.NewBaseRepository[entity.Phases](db),
	}
}
